Subject: Re: [BEHAVE] translator friendly DNS Proxy

From: "Dan Wing" <[email-masked]>
Date: Wed, 3 Sep 2008 15:39:08 -0700

> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]] 
> Sent: Thursday, August 07, 2008 8:02 PM
> To: [email-masked]; [email-masked]
> Cc: [email-masked]; [email-masked]
> Subject: RE: translator friendly DNS Proxy
> 
> Hi, Dan
> 
> > > Hi, all
> > >
> > > I submitted this document.
> > >
> > > In this document, I proposed DNS proxy that is separated
> > from NAT-PT.
> > > This document describes about relationship DNS proxy and 
> sNATPT[1].
> > > I think that this DNS proxy can collabolate with other translation
> > > technologies.
> > >
> > > I know that this working group isn't appropriate to discuss
> > such kind
> > > items, but I informed this document bacause many people that are
> > > interested in subscribed this mailing list.
> > > And, if there is more suitable working group to discuss it, please
> > > tell me that.
> >
> > The Behave working group would be best,
> > <http://www.ietf.org/html.charters/behave-charter.html>.  I
> > just forwarded your announcement to the Behave mailing list.
> 
> Thanks for your information.
> I just subscribed :)
> 
> > > [1] sNATPT: Miyata, H., "Simplified Network Address Translation -
> > > Protocol Translation"
> > >                    draft-miyata-v6ops-snatpt-00
> >
> > I read your draft, and it seems like the Translator Interface
> > is the key -- it is the interface between the DNS Proxy
> > (which synthesizes AAAA records) you describe, and the NAT-PT
> > itself (which NATs between v6 and v4).
> >
> > Do I understand correctly?
> 
> Yes.
> But actual key point is that the translator interface can 
> separate DNS Proxy from NAT-PT.
> 
> If a translator has NAPT-PT rule for IPv6 to IPv4 
> translation, the translator interface is not required.
> In this case, a translator maps a lot of IPv6 source 
> addresses to one IPv4 source address,
> so DNS Proxy doesn't need to care an IPv4 source address.

(Sorry for my delay.)

I noticed that draft-miyata-v6ops-snatpt-00 has expired.  Did you want to
continue discussing it?  We have not included it in the upcoming comparison
document.

In the draft-miyata-v6ops-snatpt-00:

In the IPv6->IPv4 direction, the separation of DNS rewriting ("DNS-ALG") from
NATing seems very similar to draft-bagnulo-behave-nat64-00.  Can you describe
the differences, if any, between draft-miyata-v6ops-snatpt-00 and
draft-bagnulo-behave-nat64-00?

In the IPv4->IPv6 direction, Section 5.2 of draft-miyata-v6ops-snatpt-00
describes that both static v4->v6 mapping and dynamic v4->v6 mapping can be
supported.  The text appears to go on to describe dynamic mapping.  I believe
we would only need static mapping from IPv4->IPv6, as described very briefly
in Section 6 of draft-miyata-v6ops-snatpt-00.

-d

> best regards,
> 
> // masaxmasa
> 
> > -d
> >
> >
> > > Thanks your comments.
> > > Best Regards,
> > >
> > > --------------------------
> > > A new version of I-D, draft-endo-v6ops-dnsproxy-00.txt has been
> > > successfuly submitted by Masahito Endo and posted to the IETF
> > > repository.
> > >
> > > Filename:        draft-endo-v6ops-dnsproxy
> > > Revision:        00
> > > Title:           Translator Friendly DNS Proxy
> > > Creation_date:   2008-08-07
> > > WG ID:           Independent Submission
> > > Number_of_pages: 24
> > >
> > > Abstract:
> > > This document describes the DNS Proxy that is separated 
> from NAT-PT
> > > [RFC2766].  NAT-PT was designed to work with DNS Application Level
> > > Gateway.  However [RFC4966] pointed out DNS related issues, and
> > > [RFC2766] was changed to historical state.  This document
> > attempts to
> > > DNS Proxy specification, removing dependency on NAT-PT as well as
> > > resolving problems pointed in [RFC4966].
> > >
> > > // masaxmasa
> > >
> >
> >
> 

_______________________________________________
Behave mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/behave

---

From: <[email-masked]>
Date: Fri, 5 Sep 2008 01:15:31 +0900

Oops,

Sorry, I would like to maintain it available.
Thanks for your comments.

Thanks,

.....miyata

________________________________________
差出人: Dan Wing [[email-masked]]
送信日時: 2008年9月4日 7:39
宛先: Endou, Masahito ([email-masked]); [email-masked]
CC: [email-masked]; Miyata, Hiroshi ([email-masked])
件名: RE: translator friendly DNS Proxy

(Sorry for my delay.)

-d

---

From: Hiroshi MIYATA <[email-masked]>
Date: Sat, 6 Sep 2008 16:32:33 +0900

Sorry, I forget to respond to another question.

I think there are not big differences between my+masahito's proposal  
and Bagnulo's.
There are some minor differences, like the method how to identify the  
synthetic
address. Even this, the concept is very close to snapt, since both  
proposed to
be recognize on around application layer.

Actually, the behavior is what I am insisting on my two proposals.
http://www.ietf.org/internet-drafts/draft-miyata-v6ops-trans-approach-01.txt
http://www.ietf.org/internet-drafts/draft-miyata-v6ops-snatpt-00.txt

And my presentation in 71st IETF. The presentation was done by Fred on  
behalf of me.

I and Masahito know that NAT-PT translation engine works with totd  
like dns proxy.
We have the implementations for more than 5 years. The behavior is  
very popular
among translator guys. It was introduced with TRT around 2000, as  
draft-endo-v6ops-dnsproxy-00.txt
mentioned. ;-)

I would respectfully ask Bagnulo, what is the biggest difference  
between us.

Dan, I agree with your modification request. Thanks a lot!

Kindly Regards,

....miyata

On 2008/09/05, at 1:15, <[email-masked]> <[email-masked] 
 > wrote: